{% extends "general/base2.html"%}

{% block title%} {{titulo}} {% endblock %}

{%block content%}
{%load static%}

{% include "accesopublico/navPrincipal.html" %}

<!--Content right-->
<div class="col-sm-9 col-xs-12 content pt-3">
   <div class="row align-items-center py-3">
      <div class="col-lg-8 col-xl-9 text-center text-lg-left">
         <h5 class="mb-3"><strong>CONTROL DE USUARIO <i class="fa  fa-user ml-3"></i> </strong></h5>
      </div>      
      
      <div class="col-lg-4 col-xl-3 d-none d-lg-block text-right pr-5">
         <a href="/cuentas/registrar"><button type="button" class="btn btn-lg btn-round btn-outline-primary mb-0"><i class="fas fa-plus"></i>Agregar usuario</button></a>
      </div>
   </div>
   {% if mensaje%}
        <div class="alert alert-{{tipo}}" role="alert">
            {% if messages %}
            <ul class="messages">
                {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>
                    {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %}Important: {% endif %}
                    {{ message }}
                </li>
                {% endfor %}
            </ul>
            {% endif %}
            {{mensaje}}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
      </div>
    {% endif %}
   <div class="row mt-3">
      <div class="col-sm-12 pr-4">
         <!--Striped table-->
         <div class="mt-1 mb-3 p-3 button-container bg-white border shadow-sm pr-2">
            <h6 class="mb-2">Control de Usuarios</h6>
            <div class="table-responsive"></div>
            <table class="table table-striped" id="project_table">
               <thead>
                  <tr>
                     <th>#</th>
                     <th> </th>
                     <th>Nombre</th>
                     <th>Nombre de usuario </th> 
                     <th>Correo</th>
                     <th>Correo institucional</th>
                     <th>fecha nacimiento</th>
                     <th>fecha creacion</th>
                     <th> SU</th>
                     <th> ST </th>
                     <th>ATV</th>
                     <th class="centrado" colspan="2">Opciones</th>
                  </tr>
               </thead>
               <tbody>
                  {% for u in personaUsuario %}
                  <tr>
                     
                     <td>{{ forloop.counter }}</td>
                     <td>
                        {% if u.persona.img %}
                        <img src="{{ u.persona.img.url }}" width="40" height="40" class="rounded-circle">
                        {% else %}
                        <img src="{% static 'Sleekadmin/assets/img/default-avatar.jpg'%}" width="40" height="40" class="rounded-circle">
                        {% endif %}
                     </td>
                     <td>{{ u.usuario.first_name}} {{ u.usuario.last_name }} </td>
                     <td>{{ u.usuario }}</td>
                     <td>{{ u.usuario.email}}</td>
                     <td>{{ u.persona.correo_institucional}}</td>
                     <td>{{ u.persona.fecha_nacimiento}}</td>
                     <td>{{ u.persona.fecha_creacion}}</td>
                     {% if  u.usuario.is_superuser is True %}
                     <td><i class="fa fa-circle-check text-success"></i></td>
                     {% else %}
                     <td> <i class="fa-solid fa-circle-xmark text-danger"></i> </td>
                     {% endif %}
                     {% if  u.usuario.is_active is True %}
                     <td><i class="fa fa-circle-check text-success"></i></td>
                     {% else %}
                     <td> <i class="fa-solid fa-circle-xmark text-danger"></i> </td>
                     {% endif %}
                     {% if  u.usuario.is_staff is True %}
                     <td><i class="fa fa-circle-check text-success"></i></td>
                     {% else %}
                     <td> <i class="fa-solid fa-circle-xmark text-danger"></i> </td>
                     {% endif %}
                     <td class="centrado"><a href="editar/{{u.persona.id}},{{u.usuario.id}},{{u.id}}" class="btn btn-sm btn-round btn-block btn-info"><i class="fa-solid fa-pencil"></i></a></td>
                     <!-- <td class="centrado"><a href="individual/{{u.id}}" class="btn btn-sm btn-round btn-block btn-primary"><i class="fa-solid fa-eye"></i></i></a>
                     </td> -->
                     <!-- <td class="centrado"><a href="eliminar/{{u.id}}" class="btn btn-sm btn-round btn-block btn-danger btnEliminacion text-white"><i class="fa-solid fa-trash"></i></a></td> -->
                     
                  </tr>
                  {% endfor %}
               </tbody>
            </table>
         </div>
         </div>
         <!--/Striped table-->
      </div>
   </div>
    <!--GO TO THE TOP-->
  <div class="go-to-top go-top-fadeInRight">
   <a href="#" class="rounded-circle"><i class="fas fa-chevron-up"></i></a>
</div>
</div>


{% include "general/footer.html" %}
{%endblock%}